unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Buttons, StdCtrls, MPlayer;

type
  TForm1 = class(TForm)
    Abook: TNotebook;
    Base: TImage;
    Novo1: TImage;
    Novo2: TImage;
    Label1: TLabel;
    SpeedButton1: TSpeedButton;
    Tela: TImage;
    Braco1: TImage;
    Deck: TMediaPlayer;
    Timer1: TTimer;
    Braco2: TImage;
    Braco3: TImage;
    procedure FormActivate(Sender: TObject);
    procedure Novo1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Novo1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure SpeedButton1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
  public
  end;

var
  Form1: TForm1;

implementation
{$R *.DFM}

const
  Stat: integer = 0;
  Cont: integer = 0;

var
   Px,Py: integer;
{===============================================================}
function Tocar(S: string):bool;
begin
   Form1.Deck.Close;
   Form1.Deck.Filename:= S;
   Form1.Deck.Open; Form1.Deck.Wait:= False;
   Form1.Deck.Play;
end;

procedure BotaOvo;
begin
   Tocar('alien1.wav');
   Stat:=1; Cont:= 130; Px:= 181;
end;

{---------------------------------------------------------------}
procedure TForm1.FormActivate(Sender: TObject);
begin
   Abook.PageIndex:= 1;   //Seleciona a pgina inicial
end;

procedure TForm1.Novo1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
   Novo2.Visible:= True;
end;

procedure TForm1.Novo1MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
   Novo2.Visible:= False;
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
   BotaOvo;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
var
   HOvo,HTel,HBas: HBitmap;
begin
   if Stat = 2 then begin
      HBas:= Form1.Base.Canvas.Handle;
      HTel:= Form1.Tela.Canvas.Handle;
      HOvo:= Form1.Braco2.Canvas.Handle;
      BitBlt(HTel,0,0,150,68,HBas,35,16,SRCCOPY);             //Fundo do lab
      BitBlt(Htel,Px,0,19,57,HOvo,342-(Cont*19),57,SRCAND);   //Mscara
      BitBlt(Htel,Px,0,19,57,HOvo,342-(Cont*19),0,SRCPAINT);  //Brao
      Form1.Tela.Repaint; dec(Cont);
      if Cont = 0 then begin
         Stat:= 3; Cont:= 8; end;
   end;
   if Stat = 1 then begin
      HBas:= Form1.Base.Canvas.Handle;
      HTel:= Form1.Tela.Canvas.Handle;
      HOvo:= Form1.Braco1.Canvas.Handle;
      BitBlt(HTel,0,0,150,68,HBas,35,16,SRCCOPY); //Fundo do lab
      BitBlt(Htel,Px,0,18,49,HOvo,18,0,SRCAND);   //Mscara
      BitBlt(Htel,Px,0,18,49,HOvo,0,0,SRCPAINT);  //Brao
      Form1.Tela.Repaint; dec(Px); dec(Cont);
      if Cont = 0 then begin
         Stat:= 2; Cont:= 18; end;
   end;
end;
   
end.
